#### Previous topic

scipy.weave.blitz

# scipy.weave.ext_tools

Functions

`assign_variable_types`(variables[, ...]) |
`downcast`(var_specs) | Cast python scalars down to most common type of arrays used.
`format_error_msg`(errors) |
`generate_file_name`(module_name, module_location) |
`generate_module`(module_string, module_file) | generate the source code file. Only overwrite
`indent`(st, spaces) |

Classes

`ext_function`(name, code_block, args[, ...]) | Methods
`ext_function_from_specs`(name, code_block, ...) | Methods
`ext_module`(name[, compiler]) | Methods